>From 65d170d638cc46f8552ba2aa6876efabeeec6397 Mon Sep 17 00:00:00 2001
From: PyroPeter <abi1789@googlemail.com>
Date: Tue, 15 Feb 2011 20:04:23 +0100
Subject: [PATCH 2/2] pkg_search_results: replace blind-table with floating divs

* I tried to remove errors in the sgml-structure
  e.g.: <div>
          <?php if (foo) { ?>
            </div>
          <?php } ?>
* I did not remove or add code (except the <table> and <div> stuff, of cause).
  I only changed the order of the html/php-tags.
* The bottom and top of the script are now properly indented.
  I did not indent the middle part (table of search results) because that would
  render the diff completely useless.

Signed-off-by: PyroPeter <abi1789@googlemail.com>
---
 web/html/css/arch.css               |   15 +++++
 web/html/css/containers.css         |    2 +-
 web/template/pkg_search_results.php |  116 +++++++++++++++++------------------
 3 files changed, 72 insertions(+), 61 deletions(-)

diff --git a/web/html/css/arch.css b/web/html/css/arch.css
index 203d9da..eec08bb 100644
--- a/web/html/css/arch.css
+++ b/web/html/css/arch.css
@@ -284,6 +284,21 @@ blockquote.code {
   color: #333;
   font-size: .95em;
 }
+.pkgSearchResultsFooter {
+  overflow: auto;
+}
+.pkgSearchResultsFooter .legendAndActions {
+  float: left;
+}
+.pkgSearchResultsFooter .legend {
+  margin-bottom: 3px;
+}
+.pkgSearchResultsFooter .pageLinks {
+  float: right;
+  margin: 0 0;
+  padding: 0 0;
+}
+
 
 /* AUR Styles */
 .pgbox {
diff --git a/web/html/css/containers.css b/web/html/css/containers.css
index 12362f6..67fd8c7 100644
--- a/web/html/css/containers.css
+++ b/web/html/css/containers.css
@@ -153,7 +153,7 @@ td.data2 {
   padding-left: .3em;
   text-align: left;
 }
-#legend span {
+.legend span {
   padding: 1px;
   margin-left: .3em;
   border: solid 1px #888;
diff --git a/web/template/pkg_search_results.php b/web/template/pkg_search_results.php
index 57d574c..de41424 100644
--- a/web/template/pkg_search_results.php
+++ b/web/template/pkg_search_results.php
@@ -1,13 +1,16 @@
-<form action='packages.php?<?php echo htmlentities($_SERVER['QUERY_STRING']) ?>' method='post'>
-<div class="pgbox">
 <?php if (!$result) { ?>
-<div class='pgboxbody'><?php print __("Error retrieving package list.") ?></div>
+	<div class='pgboxbody'><?php print __("Error retrieving package list.") ?></div>
 <?php } elseif ($total == 0) { ?>
-<div class='pgboxbody'><?php print __("No packages matched your search criteria.") ?></div>
+	<div class='pgboxbody'><?php print __("No packages matched your search criteria.") ?></div>
 <?php } else { ?>
-	<div class="pgboxtitle">
-		<span class='f3'><?php print __("Package Listing") ?></span>
-	</div>
+	<form action='packages.php?<?php echo htmlentities($_SERVER['QUERY_STRING']) ?>' method='post'>
+		<div class="pgbox">
+			<div class="pgboxtitle">
+				<span class='f3'><?php print __("Package Listing") ?></span>
+			</div>
+
+
+
 
 <table width='100%' cellspacing='0' cellpadding='2'>
 <tr>
@@ -79,59 +82,52 @@ for ($i = 0; $row = mysql_fetch_assoc($result); $i++) {
 <?php } ?>
 
 	</table>
-</div>
+</div> <!-- .pgbox ??! -->
 
 
-<div class="pgbox">
-	<table width='100%'>
-	<tr>
-		<td align='left'>
-	<div id="legend">
-		<span class='f3'><?php echo __('Legend') ?></span>
-		<span class="outofdate"><?php print __('Out of Date') ?></span>
-	</div>
-	<?php if ($SID): ?>
-	<div>
-		<select name='action'>
-			<option><?php print __("Actions") ?></option>
-			<option value='do_Flag'><?php print __("Flag Out-of-date") ?></option>
-			<option value='do_UnFlag'><?php print __("Unflag Out-of-date") ?></option>
-			<option value='do_Adopt'><?php print __("Adopt Packages") ?></option>
-			<option value='do_Disown'><?php print __("Disown Packages") ?></option>
-			<?php if ($atype == "Trusted User" || $atype == "Developer"): ?>
-			<option value='do_Delete'><?php print __("Delete Packages") ?></option>
-			<?php endif; ?>
-			<option value='do_Notify'><?php print __("Notify") ?></option>
-			<option value='do_UnNotify'><?php print __("UnNotify") ?></option>
-		</select>
-		<?php if ($atype == "Trusted User" || $atype == "Developer"): ?>
-		<input type='checkbox' name='confirm_Delete' value='1' /> <?php print __("Confirm") ?>
-		<?php endif; ?>
-		<input type='submit' class='button' style='width: 80px' value='<?php print __("Go") ?>' />
-	</div>
-	<?php endif; ?>
-		</td>
-
-		<td align='right'>
-			<div class="pageStats f4 blue">
-				<?php print __("Showing results %s - %s of %s", $first, $last, $total) ?>
-			</div>
-			<div class="pageNav">
-				<?php foreach($templ_pages as $pagenr => $pagestart) { ?>
-					<?php if ($pagestart === "ellipsis") { ?>
-						...
-					<?php } else if ($pagestart + 1 == $first) { ?>
-						<span class="page_sel"><?php echo $pagenr ?></span>
-					<?php } else { ?>
-						<a class="page_num" href="packages.php?<?php print mkurl('O=' . (	$pagestart)) ?>"><?php echo $pagenr ?></a>
+		<div class="pgbox pkgSearchResultsFooter">
+			<div class="legendAndActions">
+				<div class="legend">
+					<span class='f3'><?php echo __('Legend') ?></span>
+					<span class="outofdate"><?php print __('Out of Date') ?></span>
+				</div>
+				<?php if ($SID): ?>
+					<div>
+						<select name='action'>
+							<option><?php print __("Actions") ?></option>
+							<option value='do_Flag'><?php print __("Flag Out-of-date") ?></option>
+							<option value='do_UnFlag'><?php print __("Unflag Out-of-date") ?></option>
+							<option value='do_Adopt'><?php print __("Adopt Packages") ?></option>
+							<option value='do_Disown'><?php print __("Disown Packages") ?></option>
+							<?php if ($atype == "Trusted User" || $atype == "Developer"): ?>
+							<option value='do_Delete'><?php print __("Delete Packages") ?></option>
+							<?php endif; ?>
+							<option value='do_Notify'><?php print __("Notify") ?></option>
+							<option value='do_UnNotify'><?php print __("UnNotify") ?></option>
+						</select>
+						<?php if ($atype == "Trusted User" || $atype == "Developer"): ?>
+							<input type='checkbox' name='confirm_Delete' value='1' /> <?php print __("Confirm") ?>
+						<?php endif; ?>
+						<input type='submit' class='button' style='width: 80px' value='<?php print __("Go") ?>' />
+					</div>
+				<?php endif; # if ($SID) ?>
+			</div> <!-- .legendAndActions -->
+			<div class="pageLinks">
+				<div class="pageStats f4 blue">
+					<?php print __("Showing results %s - %s of %s", $first, $last, $total) ?>
+				</div>
+				<div class="pageNav">
+					<?php foreach($templ_pages as $pagenr => $pagestart) { ?>
+						<?php if ($pagestart === "ellipsis") { ?>
+							...
+						<?php } else if ($pagestart + 1 == $first) { ?>
+							<span class="page_sel"><?php echo $pagenr ?></span>
+						<?php } else { ?>
+							<a class="page_num" href="packages.php?<?php print mkurl('O=' . (	$pagestart)) ?>"><?php echo $pagenr ?></a>
+						<?php } ?>
 					<?php } ?>
-				<?php } ?>
-			</div>
-		</td>
-	</tr>
-
-<?php } ?>
-	</table>
-</div>
-</form>
-
+				</div>
+			</div> <!-- .pageLinks -->
+		</div> <!-- .pgbox .pkgSearchResultsFooter -->
+	</form>
+<?php } # search was successful and returned multiple results ?>
-- 
1.7.4.1

